Externalize the custom build rule scripts.

master
dak180 2012-03-12 21:46:26 -04:00
parent e0aadce3a9
commit f5a5412a3b
4 changed files with 31 additions and 30 deletions

View File

@ -18,6 +18,7 @@
438B0C1E13773258008184FC /* Png - Fetch source */,
438B0C32137733B4008184FC /* PhysFS - Fetch source */,
438B0C2B1377336E008184FC /* Vorbis - Fetch source */,
43964E45150EDCE2007BCC60 /* Vorbis - Patch */,
438B0C3A137733F8008184FC /* Theora - Fetch source */,
438B0C101377317F008184FC /* Gettext - Fetch source */,
);
@ -670,7 +671,7 @@
"${DERIVED_FILES_DIR}/${INPUT_FILE_BASE}.h",
"${DERIVED_FILES_DIR}/${INPUT_FILE_BASE}.tab.cpp",
);
script = "bison --output-file=\"${DERIVED_FILES_DIR}/${INPUT_FILE_BASE}.tab.cpp\" \"${INPUT_FILE_PATH}\" || exit 1\ncp \"${DERIVED_FILES_DIR}/${INPUT_FILE_BASE}.tab.hpp\" \"${DERIVED_FILES_DIR}/${INPUT_FILE_BASE}.h\"\nexit ${?}";
script = ". configs/rulescripts/y.sh";
};
0246AA730BD3E47F004D1C70 /* PBXBuildRule */ = {
isa = PBXBuildRule;
@ -681,18 +682,7 @@
"${DERIVED_FILES_DIR}/${INPUT_FILE_BASE}.cpp",
"${DERIVED_FILES_DIR}/${INPUT_FILE_BASE}.h",
);
script = "flex --outfile=\"${DERIVED_FILES_DIR}/${INPUT_FILE_BASE}.cpp\" --header-file=\"${DERIVED_FILES_DIR}/${INPUT_FILE_BASE}.h\" \"${INPUT_FILE_PATH}\" || exit 1\nexit ${?}";
};
433360D411A07A7E00380F5E /* PBXBuildRule */ = {
isa = PBXBuildRule;
compilerSpec = com.apple.compilers.proxy.script;
filePatterns = "*.h";
fileType = pattern.proxy;
isEditable = 1;
outputFiles = (
"${DERIVED_FILES_DIR}/${INPUT_FILE_BASE}.moc.cpp",
);
script = "export PATH=/sw/lib/qt4-mac/bin:/sw/lib/qt4-x11/bin:/opt/local/bin:${PATH}\nmoc -o \"${DERIVED_FILES_DIR}/${INPUT_FILE_BASE}.moc.cpp\" \"${INPUT_FILE_PATH}\"\nexit ${?}\n# Files w/ \"Q_OBJECT\"";
script = ". configs/rulescripts/l.sh";
};
/* End PBXBuildRule section */
@ -3670,7 +3660,6 @@
02581CC40BD5AD5300957CBC /* Copy game data */,
);
buildRules = (
433360D411A07A7E00380F5E /* PBXBuildRule */,
0246AA4D0BD3E067004D1C70 /* PBXBuildRule */,
0246AA730BD3E47F004D1C70 /* PBXBuildRule */,
);
@ -3754,7 +3743,6 @@
isa = PBXNativeTarget;
buildConfigurationList = 02DDA7F00BD3C03F0049AB60 /* Build configuration list for PBXNativeTarget "Vorbis" */;
buildPhases = (
43D4669013FBF5AC00E5C499 /* Patch */,
02DDA7E90BD3C03F0049AB60 /* Headers */,
02DDA7EA0BD3C03F0049AB60 /* Resources */,
02DDA7EB0BD3C03F0049AB60 /* Sources */,
@ -4373,6 +4361,20 @@
shellPath = /bin/sh;
shellScript = ". configs/fetchscripts/Theora-FetchSource.sh";
};
43964E45150EDCE2007BCC60 /* Vorbis - Patch */ = {
isa = PBXShellScriptBuildPhase;
buildActionMask = 2147483647;
files = (
);
inputPaths = (
);
name = "Vorbis - Patch";
outputPaths = (
);
runOnlyForDeploymentPostprocessing = 0;
shellPath = /bin/sh;
shellScript = "cd ${SRCROOT}/external/libvorbis\n\nif [ -f \"vorbis.diff\" ]; then\n\texit 0\nfi\n\nif ! curl -LfOC - --connect-timeout \"30\" \"http://wz2100.net/~dak180/BuildTools/Mac/vorbis.diff\"; then\n\techo \"error: Unable to fetch vorbis.diff\" >&2\n\texit 1\nfi\n\nif ! cat \"vorbis.diff\" | patch --posix -sNfp0; then\n\techo \"error: Unable to apply vorbis.diff\" >&2\n\texit 1\nfi\n\nexit 0\n";
};
43B8FF2D127CD57D006F5A13 /* Fonts */ = {
isa = PBXShellScriptBuildPhase;
buildActionMask = 2147483647;
@ -4443,21 +4445,6 @@
shellPath = /bin/sh;
shellScript = "# Config\nexport PATH=$PATH:/sw/bin:/opt/local/bin\nsauto=\"src/autorevision.h\"\ntauto=\"${OBJROOT}/autorev/autorevision.h\"\nfunction hfilter {\n\trm -f \"${OBJROOT}/autorevision.h\"\n\tsed -e 's:refs/heads/:branch/:' -e 's:refs/remotes/:remote/:' -e 's:branch/master:Master:' -e 's:\tv:\t:' -e 's:v/::' \"${sauto}\" | sed -e 's:_beta: Beta :' -e 's:_rc: RC :' > \"${OBJROOT}/autorevision.h\"\n}\nfunction bauto {\n\tif ! ./build_tools/autorevision.sh \"${tauto}\"; then\n\t\techo \"error: Could not run Autorevision\"\n\t\texit 1\n\tfi\n}\n\ncd ..\n\nif [[ ! -d \".git\" ]] && [[ ! -d \".hg\" ]] && [[ -f \"${sauto}\" ]]; then\n\t# Do not run if we will not get useful information\n\techo \"Not a repo.\"\n\thfilter\n\texit 0\nelif [ -d \"${OBJROOT}/autorev/\" ]; then\n\t# Only update src/autorevision.h if something has changed\n\tbauto\n\tmdck1=`md5 -q \"${sauto}\"`\n\tmdck2=`md5 -q \"${tauto}\"`\n\tif [ \"${mdck1}\" = \"${mdck2}\" ]; then\n\t\texit 0\n\tfi\nelse\n\tmkdir \"${OBJROOT}/autorev/\"\n\tbauto\nfi\n\ncp -a \"${tauto}\" \"${sauto}\"\nhfilter\nexit 0\n";
};
43D4669013FBF5AC00E5C499 /* Patch */ = {
isa = PBXShellScriptBuildPhase;
buildActionMask = 2147483647;
files = (
);
inputPaths = (
);
name = Patch;
outputPaths = (
external/libvorbis/vorbis.diff,
);
runOnlyForDeploymentPostprocessing = 0;
shellPath = /bin/sh;
shellScript = "cd ${SRCROOT}/external/libvorbis\n\nif [ -f \"vorbis.diff\" ]; then\n\texit 0\nfi\n\nif ! curl -LfOC - --connect-timeout \"30\" \"http://wz2100.net/~dak180/BuildTools/Mac/vorbis.diff\"; then\n\techo \"error: Unable to fetch vorbis.diff\" >&2\n\texit 1\nfi\n\nif ! cat \"vorbis.diff\" | patch --posix -sNfp0; then\n\techo \"error: Unable to apply vorbis.diff\" >&2\n\texit 1\nfi\n\nexit 0\n";
};
43F77C7610F0125E00E04615 /* ShellScript */ = {
isa = PBXShellScriptBuildPhase;
buildActionMask = 2147483647;

View File

@ -0,0 +1,5 @@
#!/bin/sh
export PATH=/sw/lib/qt4-mac/bin:/sw/lib/qt4-x11/bin:/opt/local/bin:${PATH}
moc -o "${DERIVED_FILES_DIR}/${INPUT_FILE_BASE}.moc.cpp" "${INPUT_FILE_PATH}" || exit 1
# Files w/ "Q_OBJECT"

View File

@ -0,0 +1,4 @@
#!/bin/sh
flex --outfile="${DERIVED_FILES_DIR}/${INPUT_FILE_BASE}.cpp" --header-file="${DERIVED_FILES_DIR}/${INPUT_FILE_BASE}.h" "${INPUT_FILE_PATH}" || exit 1
exit ${?}

View File

@ -0,0 +1,5 @@
#!/bin/sh
bison --output-file="${DERIVED_FILES_DIR}/${INPUT_FILE_BASE}.tab.cpp" "${INPUT_FILE_PATH}" || exit 1
cp "${DERIVED_FILES_DIR}/${INPUT_FILE_BASE}.tab.hpp" "${DERIVED_FILES_DIR}/${INPUT_FILE_BASE}.h"
exit ${?}